function visualisation2d(x,y,vari,taille);
nt=size(vari,3);
warning off
nargs=nargin;
if nargs==3
   taille=[x(1) x(end) y(1) y(end)]*1e-6;
end


maxv=max(max(max(vari)));
minv=min(min(min(vari)));

ctab=linspace(-maxv,maxv,20)/3;
nmp=naomap3;colormap(nmp);

for it=1:nt
    contourf(x*1e-6,y*1e-6,vari(:,:,it)',ctab)
    shading flat
    axis(taille);
    caxis([-maxv maxv]/4)
    xlabel('X Domain [1000km]')
    ylabel('Y Domain [1000km]')
    [xmax,ymax]=find(vari(:,:,it)==max(max(vari(:,:,it))));
    hold on
    plot(x(xmax)*1e-6,y(ymax)*1e-6,'+k','MarkerSize',18)
    colorbar
    pause(0.3)
    hold off
%stop
end
pause(1)
colormap(jet)